Package ghidra.program.model.symbol

# Class LabelHistory

java.lang.Object
ghidra.program.model.symbol.LabelHistory

public class LabelHistory extends Object
Container for history information about what happened to a label.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final byte`
  `ADD`
  Label added.
  `static final byte`
  `REMOVE`
  Label removed.
  `static final byte`
  `RENAME`
  Label renamed.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LabelHistory(Address addr, String userName, byte actionID, String labelStr, Date modificationDate)`
  Construct a new LabelHistory object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte`
  `getActionID()`
  Get the action ID for this label history object.
  `Address`
  `getAddress()`
  Get address for this label history object.
  `String`
  `getLabelString()`
  Get the label string for this label history object.
  `Date`
  `getModificationDate()`
  Get the modification date
  `String`
  `getUserName()`
  Get the user that made the change.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ADD

    public static final byte ADD
    Label added.
    See Also:
      - Constant Field Values

  - ### REMOVE

    public static final byte REMOVE
    Label removed.
    See Also:
      - Constant Field Values

  - ### RENAME

    public static final byte RENAME
    Label renamed.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### LabelHistory

    public LabelHistory(Address addr, String userName, byte actionID, String labelStr, Date modificationDate)
    Construct a new LabelHistory object.
    Parameters:
      `addr` - address of the label change
      `userName` - name of user who made the change
      `actionID` - either ADD, REMOVE, or RENAME
      `labelStr` - label string
      `modificationDate` - date of the change

- ## Method Details

  - ### getAddress

    public Address getAddress()
    Get address for this label history object.

  - ### getUserName

    public String getUserName()
    Get the user that made the change.

  - ### getLabelString

    public String getLabelString()
    Get the label string for this label history object.

  - ### getActionID

    public byte getActionID()
    Get the action ID for this label history object.
    Returns:
      ADD, REMOVE, or RENAME

  - ### getModificationDate

    public Date getModificationDate()
    Get the modification date